/*

  File LUvect.h:

  defines the class LUvect, which defines a n-vector 
  to be used, for instance, as the solution or as the RHS 
  in the LU factorization algorithm.

*/


#ifndef LUvect_H

#define LUvect_H

class LUvect
{

 private:

  int dim;                                                 // Dimension of the vector
  double * vect;                                           // Vector

 public:

  LUvect( int );                                           // Class constructor
  void setElement( int, double );                          // Initialize a single element of the vector
  double getElement( int );                                // Returns the i-th element of the vector

};

#endif
